import { connect } from "react-redux";
import { useDropzone } from "react-dropzone";

import { actionFullAva } from "store/actions/actionFullAva";
import { ConnectedAvaLogo } from "components/Ava";

import "./FormUpload.css";

const FormUpload = ({ onUpload }) => {
	const { acceptedFiles, getRootProps, getInputProps } = useDropzone();
	let files = acceptedFiles.map(file => onUpload(file));
	console.log(files);
	return (
		<div {...getRootProps({})}>
			<input {...getInputProps()} />
			<ConnectedAvaLogo />
		</div>
	);
};

export const ConnectFormUpload = connect(null, { onUpload: actionFullAva })(FormUpload);
