import { createStore, combineReducers, applyMiddleware } from "redux";
import thunk from "redux-thunk";

import authReducer from "./auth";
import promiseReducer from "./promise";

import { actionSnippetFindByOwner } from "../actions/actionSnippetFindByOwner";
import { actionFindUser } from "../actions/actionFindUser";

let reducers = combineReducers({
	promise: promiseReducer,
	auth: authReducer,
});

const store = createStore(reducers, applyMiddleware(thunk));
store.subscribe(() => console.log(store.getState()));

if (localStorage.authToken) {
	store.dispatch(actionFindUser());
	store.dispatch(actionSnippetFindByOwner(store.getState().auth.payload.sub.id));
}

export default store;
